public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-rpg/soltys/
Date: Mon,  5 Jul 2021 22:53:14 +0000 (UTC)	[thread overview]
Message-ID: <1625525515.75f6ddc48bee8d3873b048022d918c6ac335e189.ionen@gentoo> (raw)

commit:     75f6ddc48bee8d3873b048022d918c6ac335e189
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Mon Jun 28 18:53:28 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Jul  5 22:51:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75f6ddc4

games-rpg/soltys: EAPI8, ebuild improvements

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-rpg/soltys/soltys-1.0-r2.ebuild | 71 ++++++++++++++---------------------
 1 file changed, 29 insertions(+), 42 deletions(-)

diff --git a/games-rpg/soltys/soltys-1.0-r2.ebuild b/games-rpg/soltys/soltys-1.0-r2.ebuild
index e9d29906063..3b59a9cabce 100644
--- a/games-rpg/soltys/soltys-1.0-r2.ebuild
+++ b/games-rpg/soltys/soltys-1.0-r2.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit eutils
+EAPI=8
+
+inherit desktop wrapper
 
 DESCRIPTION="Classic adventure game"
 HOMEPAGE="https://wiki.scummvm.org/index.php/Soltys"
@@ -10,55 +11,41 @@ SRC_URI="l10n_en? ( mirror://sourceforge/scummvm/${PN}-en-v${PV}.zip )
 	l10n_es? ( mirror://sourceforge/scummvm/${PN}-es-v${PV}.zip )
 	l10n_pl? ( mirror://sourceforge/scummvm/${PN}-pl-v${PV}.zip )
 	!l10n_en? ( !l10n_es? ( !l10n_pl? ( mirror://sourceforge/scummvm/${PN}-en-v${PV}.zip ) ) )
-	http://www.scummvm.org/images/cat-soltys.png"
+	http://www.scummvm.org/images/cat-${PN}.png"
+S="${WORKDIR}"
 
 LICENSE="Soltys"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="l10n_en l10n_es l10n_pl"
 
-RDEPEND=">=games-engines/scummvm-1.5"
-DEPEND="app-arch/unzip"
-
-S="${WORKDIR}"
+RDEPEND="games-engines/scummvm"
+BDEPEND="app-arch/unzip"
 
 src_unpack() {
-	if use l10n_en || ( ! use l10n_en && ! use l10n_es && ! use l10n_pl ) ; then
-		mkdir -p en || die
-		unpack ${PN}-en-v${PV}.zip
-		mv vol.{cat,dat} en/ || die
-	fi
-	if use l10n_es ; then
-		mkdir -p es || die
-		unpack ${PN}-es-v${PV}.zip
-		mv soltys-es-v1-0/vol.{cat,dat} es/ || die
-	fi
-	if use l10n_pl ; then
-		mkdir -p pl || die
-		unpack ${PN}-pl-v${PV}.zip
-		mv vol.{cat,dat} pl/ || die
-	fi
-}
-
-src_prepare() {
-	default
-	rm -rf license.txt soltys-es-v1-0
+	MY_L10N=( $(usev l10n_en) $(usev l10n_es) $(usev l10n_pl) )
+	[[ ${MY_L10N} ]] || MY_L10N=( l10n_en )
+
+	local lang
+	for lang in "${MY_L10N[@]//l10n_/}"; do
+		mkdir ${lang} || die
+		unpack ${PN}-${lang}-v${PV}.zip
+		if [[ ${lang} == es ]]; then
+			mv ${PN}-${lang}-v$(ver_rs 1 -)/vol.{cat,dat} ${lang}/ || die
+		else
+			mv vol.{cat,dat} ${lang}/ || die
+		fi
+	done
 }
 
 src_install() {
 	insinto /usr/share/${PN}
-	doins -r *
-	newicon "${DISTDIR}"/cat-soltys.png soltys.png
-	if use l10n_en || ( ! use l10n_en && ! use l10n_es && ! use l10n_pl ) ; then
-		make_wrapper soltys-en "scummvm -f -p \"/usr/share/${PN}/en\" soltys" .
-		make_desktop_entry ${PN}-en "Soltys (English)" soltys
-	fi
-	if use l10n_es ; then
-		make_wrapper soltys-es "scummvm -f -p \"/usr/share/${PN}/es\" soltys" .
-		make_desktop_entry ${PN}-es "Soltys (Español)" soltys
-	fi
-	if use l10n_pl ; then
-		make_wrapper soltys-pl "scummvm -f -p \"/usr/share/${PN}/pl\" soltys" .
-		make_desktop_entry ${PN}-pl "Soltys (Polski)" soltys
-	fi
+	local lang
+	for lang in "${MY_L10N[@]//l10n_/}"; do
+		doins -r ${lang}
+		make_wrapper ${PN}-${lang} "scummvm -f -p \"${EPREFIX}/usr/share/${PN}/${lang}\" ${PN}"
+		make_desktop_entry ${PN}-${lang} "Soltys (${lang})"
+	done
+
+	newicon "${DISTDIR}"/cat-${PN}.png ${PN}.png
 }


             reply	other threads:[~2021-07-05 22:53 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-05 22:53 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-02-27 20:45 [gentoo-commits] repo/gentoo:master commit in: games-rpg/soltys/ James Le Cuirot
2018-05-07  7:42 Michał Górny
2018-05-01 19:37 Pacho Ramos
2018-05-01 19:37 Pacho Ramos
2016-06-26  8:37 Ulrich Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1625525515.75f6ddc48bee8d3873b048022d918c6ac335e189.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox